## org.eclipse.jet.taglib.workspace
Class AbstractWorkspaceAction2

    java.lang.Object
      org.eclipse.jet.taglib.workspace.AbstractWorkspaceAction2

All Implemented Interfaces:
  IWorkspaceAction, IWorkspaceAction2

    public abstract class AbstractWorkspaceAction2

extends java.lang.Object
implements IWorkspaceAction2

Abstract implementation of IWorkspaceAction that manages the standard execution tracing information.

Constructor Summary
`protected` `AbstractWorkspaceAction2(TagInfo tagInfo, java.lang.String templatePath)`

Method Summary
`TagInfo` `getTagInfo()` Returns the Tag information of the tag that originated this action.
`java.lang.String` `getTemplatePath()` Returns the path of the template that originated this action.
`void` `performAction(org.eclipse.core.runtime.IProgressMonitor monitor)` Perform the workspace action

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jet.taglib.workspace.IWorkspaceAction2
`performActionIfRequired`

Methods inherited from interface org.eclipse.jet.taglib.workspace.IWorkspaceAction
`getResource, requiresValidateEdit`

Constructor Detail

### AbstractWorkspaceAction2

    protected AbstractWorkspaceAction2(TagInfo tagInfo,
                                       java.lang.String templatePath)

Method Detail

### getTagInfo

    public final TagInfo getTagInfo()

  Description copied from interface: `IWorkspaceAction`
  Returns the Tag information of the tag that originated this action.

  Specified by:
    `getTagInfo` in interface `IWorkspaceAction`
  Returns:
    a non-null TagInfo object.

### getTemplatePath

    public final java.lang.String getTemplatePath()

  Description copied from interface: `IWorkspaceAction`
  Returns the path of the template that originated this action.

  Specified by:
    `getTemplatePath` in interface `IWorkspaceAction`
  Returns:
    a non-null String

### performAction

    public final void performAction(org.eclipse.core.runtime.IProgressMonitor monitor)
                             throws JET2TagException

  Description copied from interface: `IWorkspaceAction`
  Perform the workspace action

  Specified by:
    `performAction` in interface `IWorkspaceAction`
  Parameters:
    `monitor` - the progress monitor to which progress information will be written.
  Throws:
    `JET2TagException` - if the action cannot be successfully performed.

Copyright 2006 IBM Corporation and others. All Rights Reserved.